From e1dcdf731718e1012eb45d30322b2b0e55114233 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:13 +0000
Subject: [PATCH 410/2232] Parse vector's type as CxxVector


---

diff --git a/syntax/parse.rs b/syntax/parse.rs
index f32894b..d14806d 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -300,7 +300,7 @@ fn parse_type_path(ty: &TypePath) -> Result<Type> {
                             rangle: generic.gt_token,
                         })));
                     }
-                } else if ident == "Vector" && generic.args.len() == 1 {
+                } else if ident == "CxxVector" && generic.args.len() == 1 {
                     if let GenericArgument::Type(arg) = &generic.args[0] {
                         let inner = parse_type(arg)?;
                         return Ok(Type::CxxVector(Box::new(Ty1 {
diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index da0040a..0d904fc 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -27,9 +27,9 @@ pub mod ffi {
         fn c_return_sliceu8(shared: &Shared) -> &[u8];
         fn c_return_rust_string() -> String;
         fn c_return_unique_ptr_string() -> UniquePtr<CxxString>;
-        fn c_return_unique_ptr_vector_u8() -> UniquePtr<Vector<u8>>;
-        fn c_return_unique_ptr_vector_f64() -> UniquePtr<Vector<f64>>;
-        fn c_return_unique_ptr_vector_shared() -> UniquePtr<Vector<Shared>>;
+        fn c_return_unique_ptr_vector_u8() -> UniquePtr<CxxVector<u8>>;
+        fn c_return_unique_ptr_vector_f64() -> UniquePtr<CxxVector<f64>>;
+        fn c_return_unique_ptr_vector_shared() -> UniquePtr<CxxVector<Shared>>;
 
         fn c_take_primitive(n: usize);
         fn c_take_shared(shared: Shared);
@@ -41,9 +41,9 @@ pub mod ffi {
         fn c_take_sliceu8(s: &[u8]);
         fn c_take_rust_string(s: String);
         fn c_take_unique_ptr_string(s: UniquePtr<CxxString>);
-        fn c_take_unique_ptr_vector_u8(s: UniquePtr<Vector<u8>>);
-        fn c_take_unique_ptr_vector_f64(s: UniquePtr<Vector<f64>>);
-        fn c_take_unique_ptr_vector_shared(s: UniquePtr<Vector<Shared>>);
+        fn c_take_unique_ptr_vector_u8(s: UniquePtr<CxxVector<u8>>);
+        fn c_take_unique_ptr_vector_f64(s: UniquePtr<CxxVector<f64>>);
+        fn c_take_unique_ptr_vector_shared(s: UniquePtr<CxxVector<Shared>>);
         fn c_take_vec_u8(v: &Vec<u8>);
         fn c_take_vec_shared(v: &Vec<Shared>);
         fn c_take_callback(callback: fn(String) -> usize);

